<?php
// $Id: threecol_33_34_33_stacked.inc,v 1.5 2006/08/22 23:54:20 merlinofchaos Exp $

/**
 * implementation of hook_panels_layouts
 */
function panels_kldp_panels_layouts() {
  $items['kldp'] = array(
    'module' => 'panels',
    'title' => t('KLDP'),
    'icon' => 'layouts/kldp.png',
    'theme' => 'panels_kldp',
    'css' => 'layouts/kldp.css',
    'content areas' => array('top' => t('Top'), 'left' => t('Left side'), 'middle' => t('Middle column'), 'right' => t('Right side'), 'lowleft' => t('Low Left side'), 'lowmiddle' => t('Low Middle side'), 'lowright' => t('Low Right side'), 'bottom' => t('Bottom')),
  );

  return $items;
}

/**
 * This function uses heredoc notation to make it easier to convert
 * to a template.
 */
function theme_panels_kldp($id, $content) {
  if ($id) {
    $idstr = " id='$id'";
  }

  $output = <<<EOT
<div class="panel-3col-33-stacked" $idstr>
  <div class="panel-col-top">
    <div>$content[top]</div>
  </div>

  <div class="panel-col-first">
    <div>$content[left]</div>
  </div>

  <div class="panel-col">
    <div>$content[middle]</div>
  </div>

  <div class="panel-col-last">
    <div>$content[right]</div>
  </div>

<br class="panel-clearer" />

  <div class="panel-col-first">
    <div>$content[lowleft]</div>
  </div>

  <div class="panel-col">
    <div>$content[lowmiddle]</div>
  </div>

  <div class="panel-col-last">
    <div>$content[lowright]</div>
  </div>

  <div class="panel-col-bottom">
    <div>$content[bottom]</div>
  </div>
</div>
<br class="panel-clearer" />
EOT;
  return $output;
}
