<?php
// $Id: threecol_33_34_33_stacked.inc,v 1.5 2006/08/22 23:54:20 merlinofchaos Exp $

/**
 * implementation of hook_panels_layouts
 */
function panels_kldp2_panels_layouts() {
  $items['kldp2'] = array(
    'module' => 'panels',
    'title' => t('KLDP2'),
    'icon' => 'layouts/kldp2.png',
    'theme' => 'panels_kldp2',
    'css' => 'layouts/kldp2.css',
    'content areas' => array('top' => t('Top'), 'left' => t('Left side'), 'middle' => t('Middle column'), 'right' => t('Right side'), 'bottom' => t('Bottom')),
  );

  return $items;
}

/**
 * This function uses heredoc notation to make it easier to convert
 * to a template.
 */
function theme_panels_kldp2($id, $content) {
  if ($id) {
    $idstr = " id='$id'";
  }

  $output = <<<EOT
<div class="panel-3col-33-stacked" $idstr>
  <div class="panel-col-top">
    <div>$content[top]</div>
  </div>

 <hr noshade>

  <div class="panel-col-first">
  <a href="/forum"><img src="http://img.kldp.org/static/bbs.png" height="31" width="88" border="0" alt="KLDP BBS"></a>
    <div>$content[left]</div>
  </div>

  <div class="panel-col">
  <a href="/blog"><img src="http://img.kldp.org/static/blog.png" height="31" width="88" border="0" alt="KLDP Blog"></a>
    <div>$content[middle]</div>
  </div>

  <div class="panel-col-last">
    <div>$content[right]</div>
  </div>

<br class="panel-clearer" />

  <div class="panel-col-bottom">
  <a href="/geekforum"><img src="http://img.kldp.org/static/geekforum.png" height="31" width="88" border="0" alt="geekforum"></a>
    <div>$content[bottom]</div>
  </div>
</div>
<br class="panel-clearer" />
EOT;
  return $output;
}
